jQuery(document).ready( function() {
  
  jQuery('.epiceditor').each( function( index, element ) {
    
      var textarea = jQuery(element);
      var editor = 'epiceditor_' + index;
      var options = {};
      var editorObject = {};
      var options = {
          container: editor,
              basePath: '/files/addons/epiceditor',
              textarea: editor + '_text',
              clientSideStorage: false,
              useNativeFullscreen: false,
              theme: {
                  base: '/epiceditor.css',
                  editor: '/epic-editor-light.css',
                  preview: '/epic-preview-github.css'
              },
              string: {
                togglePreview: 'Vorschau',
                  toggleEdit: 'Bearbeiten',
                  toggleFullscreen: 'Vollbildansicht'
              },
              autogrow: { 
                  minHeight: 200
              }                                    
      }
    
/*      textarea.css( 'display', 'none' ); */
      textarea.attr( 'id', editor + '_text' );
      textarea.after( '<div id="' + editor + '" class="epiceditor_block"></div>' );    
      editorObject = new EpicEditor( options );
    
      editorObject.on( 'update', function( data ) {
        
          textarea.innerHTML = data.content;

      });
    
      editorObject.load();   
    
  });

});